Core - Bug # 40356

Task # 40095 (Resolved): Move core to namespaces

Status: Closed Priority: Should have
Author: Martin Helmich Category:

Created: 2012-08-28 Assigned To:

Updated: 2012-09-26 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression:

Sprint Focus:

Subject: Class autoloader fails for non-core extbase extensions

Description

When trying to autoload a class named Tx_Foo_Controller_BazController, the TYPOS3 class autoloader tries to include the file:

typo3conf/ext/foo/Classes/Controller.php instead of
typo3conf/ext/foo/Classes/Controller/BazController.php

History

#1 - 2012-08-28 21:07 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14169

#2 - 2012-08-28 21:12 - Christian Kuhn
- Parent task set to #40095

#3 - 2012-08-29 08:40 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14169

#4 - 2012-09-26 19:24 - Thomas Maroschik
- Status changed from Under Review to Closed
- % Done changed from 0 to 100

That issue has already been resolved by #40339
